Get Workflow Version

Get a specific version of a workflow, including its step definitions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the workflow.
versionIdstringRequired
The version to retrieve. Accepts any of the following: - `"draft"` — returns the current draft version - `"latest"` — returns the latest published version (falls back to draft if none published) - A version number (e.g. `"1"`, `"2"`) — returns that specific published version - A version ID (e.g. `"workflow_version_abc123"`) — returns that specific version by ID

Headers

x-extend-api-version"2026-02-09"Optional

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

Response

Version details
objectenum

The type of object. Always "workflow_version".

Allowed values:
idstring
The ID of the workflow version.
versionstring

The version number as a string, or "draft" for the draft version.

namestring or null
The name of the workflow version.
stepslist of objects
The step definitions for this version.
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error